Reply::Plugin::AutoRefresh(3pm)

NAME
Reply::Plugin::AutoRefresh - automatically refreshes the external code you use

VERSION
version 0.38

SYNOPSIS
  ; .replyrc
  [AutoRefresh]
  track_require = 1

DESCRIPTION
This plugin automatically refreshes all loaded modules before every statement execution. It's useful if you are working on a module in a file and you want the changes to automatically be loaded in Reply.

It takes a single argument, "track_require", which defaults to true. If this option is set, the "track_require" functionality from Class::Refresh will be enabled.

Note that to use the "track_require" functionality, this module must be loaded as early as possible (preferably first), so that other modules correctly see the global override.

AUTHOR
Jesse Luehrs <doy@tozt.net>

COPYRIGHT AND LICENSE
This software is Copyright (c) 2015 by Jesse Luehrs.

This is free software, licensed under:

  The MIT (X11) License